Package org.apache.activemq.artemis.spi.core.remoting.ssl

## Class SSLContextConfig.Builder

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.remoting.ssl.SSLContextConfig.Builder

- Enclosing class:
    SSLContextConfig

      public static final class SSLContextConfig.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SSLContextConfig` | `build()` |
    `SSLContextConfig.Builder` | `crlPath​(java.lang.String crlPath)` |
    `SSLContextConfig.Builder` | `from​(SSLContextConfig config)` |
    `SSLContextConfig.Builder` | `keystorePassword​(java.lang.String keystorePassword)` |
    `SSLContextConfig.Builder` | `keystorePath​(java.lang.String keystorePath)` |
    `SSLContextConfig.Builder` | `keystoreProvider​(java.lang.String keystoreProvider)` |
    `SSLContextConfig.Builder` | `keystoreType​(java.lang.String keystoreType)` |
    `SSLContextConfig.Builder` | `trustAll​(boolean trustAll)` |
    `SSLContextConfig.Builder` | `trustManagerFactoryPlugin​(java.lang.String trustManagerFactoryPlugin)` |
    `SSLContextConfig.Builder` | `truststorePassword​(java.lang.String truststorePassword)` |
    `SSLContextConfig.Builder` | `truststorePath​(java.lang.String truststorePath)` |
    `SSLContextConfig.Builder` | `truststoreProvider​(java.lang.String truststoreProvider)` |
    `SSLContextConfig.Builder` | `truststoreType​(java.lang.String truststoreType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public SSLContextConfig.Builder from​(SSLContextConfig config)

    - #### build

          public SSLContextConfig build()

    - #### keystorePath

          public SSLContextConfig.Builder keystorePath​(java.lang.String keystorePath)

    - #### keystoreType

          public SSLContextConfig.Builder keystoreType​(java.lang.String keystoreType)

    - #### keystorePassword

          public SSLContextConfig.Builder keystorePassword​(java.lang.String keystorePassword)

    - #### keystoreProvider

          public SSLContextConfig.Builder keystoreProvider​(java.lang.String keystoreProvider)

    - #### truststorePath

          public SSLContextConfig.Builder truststorePath​(java.lang.String truststorePath)

    - #### truststoreType

          public SSLContextConfig.Builder truststoreType​(java.lang.String truststoreType)

    - #### truststorePassword

          public SSLContextConfig.Builder truststorePassword​(java.lang.String truststorePassword)

    - #### truststoreProvider

          public SSLContextConfig.Builder truststoreProvider​(java.lang.String truststoreProvider)

    - #### crlPath

          public SSLContextConfig.Builder crlPath​(java.lang.String crlPath)

    - #### trustAll

          public SSLContextConfig.Builder trustAll​(boolean trustAll)

    - #### trustManagerFactoryPlugin

          public SSLContextConfig.Builder trustManagerFactoryPlugin​(java.lang.String trustManagerFactoryPlugin)